• 0

    posted a message on ArkInventory v3
    Getting massive taint issues with ArkInv 3.02.26 lately. Here are some of the entries in the 9000+ line taint.log. The tainting only appears to occur while in a raid, not solo or party. Disabling ArkInv and then being in a raid causes 0 taint entries to appear.

    Any ideas?



    11/11 21:28:41.001 An action was blocked in combat because of taint from ArkInventory - RaidGroupButton13:Show()
    11/11 21:28:41.001 Interface\AddOns\Blizzard_RaidUI\Blizzard_RaidUI.lua:520 RaidGroupFrame_Update()
    11/11 21:28:41.001 Interface\FrameXML\RaidFrame.lua:80 RaidFrame_Update()
    11/11 21:28:41.001 Interface\FrameXML\RaidFrame.lua:60 RaidFrame_OnEvent()
    11/11 21:28:41.001 Interface\AddOns\Blizzard_RaidUI\Blizzard_RaidUI.lua:167
    11/11 21:28:41.001 An action was blocked in combat because of taint from ArkInventory - RaidGroupButton14:SetPoint()
    11/11 21:28:41.001 Interface\AddOns\Blizzard_RaidUI\Blizzard_RaidUI.lua:507 RaidGroupFrame_Update()
    11/11 21:28:41.001 Interface\FrameXML\RaidFrame.lua:80 RaidFrame_Update()
    11/11 21:28:41.001 Interface\FrameXML\RaidFrame.lua:60 RaidFrame_OnEvent()
    11/11 21:28:41.001 Interface\AddOns\Blizzard_RaidUI\Blizzard_RaidUI.lua:167


    11/11 21:28:41.001 Global variable UIDROPDOWNMENU_MENU_LEVEL tainted by ArkInventory - Interface\FrameXML\UIDropDownMenu.lua:38
    11/11 21:28:41.001 securecall()
    11/11 21:28:41.001 Interface\FrameXML\UIDropDownMenu.lua:64 UIDropDownMenu_Initialize()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:414 LFMFrame_UpdateDropDowns()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:655 SendLFGQuery()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:148
    11/11 21:28:41.001 Execution tainted by ArkInventory while reading UIDROPDOWNMENU_MENU_LEVEL - Interface\FrameXML\UIDropDownMenu.lua:520 UIDropDownMenu_GetSelectedID()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:245 LFMFrame_Update()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:216 LFMFrame_CacheAndUpdate()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:656 SendLFGQuery()
    11/11 21:28:41.001 Interface\FrameXML\LFGFrame.lua:148


    11/11 21:13:12.658 An action was blocked in combat because of taint from ArkInventory - RaidGroupButton1:SetID()
    11/11 21:13:12.658 Interface\AddOns\Blizzard_RaidUI\Blizzard_RaidUI.lua:519 RaidGroupFrame_Update()
    11/11 21:13:12.658 Interface\FrameXML\RaidFrame.lua:80 RaidFrame_Update()
    11/11 21:13:12.658 RaidFrame:OnShow()
    11/11 21:13:12.658 RaidFrame:Show()
    11/11 21:13:12.658 Interface\FrameXML\FriendsFrame.lua:32 FriendsFrame_ShowSubFrame()
    11/11 21:13:12.658 Interface\FrameXML\FriendsFrame.lua:193 FriendsFrame_Update()
    11/11 21:13:12.658 Interface\FrameXML\FriendsFrame.lua:124 FriendsFrame_OnShow()
    11/11 21:13:12.658 FriendsFrameTab5:OnClick()
    Posted in: General AddOns
  • 0

    posted a message on RaidBuffStatus
    Quote from danielbarron
    The change of Ace3 name is not important no.

    The reason for the difference is the rbs package is alpha and includes the latest alpha libraries, hence the difference you are seeing.

    I don't know why the full version is not working for you. Deleting RBS and installing the full 296 should work. Check you don't have LibGroupTalents and LibTalentQuery installed elsewhere.

    Why are you trying to use the nolib version out of interest?


    So, it appears the standalone LibGroupTalents-1.0 (3.2.2 Relase 2) and LibTalentQuery-1.0 (3.2.2 Release 1) copied into the Libs folder of r296-nolib is the only way I can get it to load. I tried copying those libs that came with the pre-packaged r296 (LibGroupTalents-1.0 r34 and LibTalentQuery-1.0 r80) into the Libs folder, but RBS did not launch.

    As to why I do it, more a personal preference. I like to keep my addons folder small, and having multiple copies of the same lib all over the place bugs me. I rarely have an issue doing so, usually only when an author attaches a new library to a mod but the Curse Client doesn't flag it as such, so it doesn't download the new lib.
    Posted in: Raid AddOns
  • 0

    posted a message on RaidBuffStatus
    UPDATE:

    So I dropped a copy of the standalone LibGroupTalents-1.0 (3.2.2 Relase 2) and LibTalentQuery-1.0 (3.2.2 Release 1) libraries into the Libs folder for r296-nolib, and I was able to get RBS to load.

    I was curious if there was a difference between those two standalone libs and the versions that were included with the pre-packaged RBS. The packaged LibGroupTalents-1.0 shows it at version r34, not 3.2.2 Release 2. The packaged LibTalentQuery-1.0 shows it at version r80, not 3.2.2 Release 1.

    I also compared the TOCs for the standalone and packaged copies.

    TOC for standalone LibTalentQuery-1.0 has line ## X-Curse-Packaged-Version: 3.2.2 Release 1. TOC for packaged LibTalentQuery-1.0 has line ## X-Curse-Packaged-Version: r80.

    TOC for standalone LibGroupTalents-1.0 has line ## X-Curse-Packaged-Version: 3.2.2 Release 2. TOC for packaged LibGroupTalents-1.0 has line ## X-Curse-Packaged-Version: r34.

    Could this be why RBS was having issues loading? Since I had to drop copies of those libs into the RBS Libs folder, the Curse Client now flags RBS as being modified.
    Posted in: Raid AddOns
  • 0

    posted a message on RaidBuffStatus
    When I installed r296-nolib using the new Curse 4 beta client, it had also installed LibGroupTalents-1.0 and LibTalentQuery-1.0. RBS is still not loading when I log into WoW.

    UPDATE: So I removed the RBS folder (r296-nolib) and downloaded and installed the full version of r296. I then logged in, but was unable to get RBS to load.

    One thing I did notice is when I downloaded and installed 3.227 (which I was able to load), in the AddOns menu on the character selection screen, RBS showed up as "RaidBuffStats -Ace3-". With r296 and r296-nolib, it just shows up as "RaidBuffStatus". Not sure if that means anything.
    Posted in: Raid AddOns
  • 0

    posted a message on RaidBuffStatus
    r296-nolib isn't loading for me. I confirmed that I have all the necessary libraries already installed separately (from what's installed in the pre-packaged version 3.227).

    If I try installing the pre-packaged RaidBuffStatus v3.227, I can get it to load fine.

    Any thoughts?
    Posted in: Raid AddOns
  • To post a comment, please or register a new account.